package javafxanimation;

/**
 * @author Amit
 */

import javafx.ext.swing.*;
import javafx.scene.geometry.*;
import javafx.scene.paint.*;
import javafx.animation.*;
import java.lang.System;
import javafx.scene.text.Text;
import javafx.scene.Font;
import javafx.scene.FontStyle;
 
var x = 0;
var t = Timeline {
    repeatCount: 100
    autoReverse: true
   
    keyFrames: [KeyFrame{time  : 0s
                         values: x => 0},
                            
                KeyFrame{time  : 2s
                         values: x => 100  tween Interpolator.EASEBOTH}
   ]
}
SwingFrame {
    title: "Animation"
    width: 250
    height: 200
    closeAction: function(): Void  { java.lang.System.exit( 0 ); }
    visible: true
    content : BorderPanel {
            top: Canvas {
            content: [ Text {
                    font: Font { 
                        size: 24 
                        style: FontStyle.PLAIN           
                    }
                    x: bind x, y:20;
                    content: "Hello World"
                    fill:Color.BLUE
                }]
                }

            bottom : FlowPanel { content:[Button {
                    text: "Start"
                    action: function(): Void  {t.start();}
                    },
                    Button {
                    text: "Stop"
                    action: function():Void {t.stop();  }
                    }]  
               }
         }
}
